<?xml version="1.0" encoding="iso-8859-1"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en">
<!-- Scopes/Synopsis/Processors/TypedefFolder/TypedefFolder.html -->
<!-- this view was generated by Scope -->
<head>
<meta content="text/html; charset=iso-8859-1" http-equiv="Content-Type"/>
<title >Synopsis - Synopsis.Processors.TypedefFolder.TypedefFolder</title>
<link href="../../../../style.css" type="text/css" rel="stylesheet" />
</head>
<body class="Scope">
<div class="navigation">
<span class="normal"><a href="../../../Synopsis.html" >Global Package</a></span>
<span class="normal"><a href="../../../../InheritanceTree.html" >Inheritance Tree</a></span>
<span class="normal"><a href="../../../../InheritanceGraph.html" >Inheritance Graph</a></span>
<span class="normal"><a href="../../../../NameIndex.html" >Name Index</a></span>
</div>
<!-- this part was generated by Heading -->
<div class="class-module">module <a href="../../../Synopsis.html" >Synopsis</a>.<a href="../../Processors.html" >Processors</a>.<a href="../TypedefFolder.html" >TypedefFolder</a>
</div><div class="class-name">class TypedefFolder

</div><div class="links"><div class="file">File: <a href="../../../../File/Synopsis/Processors/TypedefFolder.py.html" target="detail">../Synopsis/Processors/TypedefFolder.py</a></div> <div class="xref"><a href="../../../../XRef/xref25.html#Synopsis.Processors.TypedefFolder.TypedefFolder" ><img src="../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../Source/Synopsis/Processors/TypedefFolder.py.html#line11" ><img src="../../../../src-py.png" alt="source code"/></a></div></div>  <img alt="TypedefFolder-inheritance" src="TypedefFolder-inheritance.png" hspace="8" vspace="8" border="0" usemap="#TypedefFolder-inheritance_map" />
<map name="TypedefFolder-inheritance_map"></map>
 <div class="doc">Fold &#40;anonymous&#41; types into enclosing typedefs.</div>
<!-- this part was generated by Summary -->
<div class="summary">
<div class="heading">Class attributes Summary:</div>
<div class="item"><div class="synopsis"> <a class="name" id="anonymous_only">anonymous_only</a></div> <div class="xref"></div> <div class="source"><a href="../../../../Source/Synopsis/Processors/TypedefFolder.py.html#line14" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"> <a class="name" id="visit_group">visit_group</a></div> <div class="xref"></div> <div class="source"><a href="../../../../Source/Synopsis/Processors/TypedefFolder.py.html#line37" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
</div><!-- summary -->
<div class="summary">
<div class="heading">Methods Summary:</div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="process">process</a>(<span class="variable">self</span>, <span class="variable">ir</span>, <span class="keyword">*</span> <span class="keyword">*</span> <span class="variable">kwds</span>)  </div> <div class="xref"><a href="../../../../XRef/xref25.html#Synopsis.Processors.TypedefFolder.TypedefFolder.process" ><img src="../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../Source/Synopsis/Processors/TypedefFolder.py.html#line16" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="visit_scope">visit_scope</a>(<span class="variable">self</span>, <span class="variable">s</span>)  </div> <div class="xref"><a href="../../../../XRef/xref25.html#Synopsis.Processors.TypedefFolder.TypedefFolder.visit_scope" ><img src="../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../Source/Synopsis/Processors/TypedefFolder.py.html#line29" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="visit_typedef">visit_typedef</a>(<span class="variable">self</span>, <span class="variable">t</span>)  </div> <div class="xref"><a href="../../../../XRef/xref25.html#Synopsis.Processors.TypedefFolder.TypedefFolder.visit_typedef" ><img src="../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../Source/Synopsis/Processors/TypedefFolder.py.html#line39" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
</div><!-- summary -->
<!-- this part was generated by Inheritance -->
<!-- this part was generated by Detail -->

<div class="logo">Generated on Thu Apr 16 16:26:59 2009 by 
<br/>
<a href="http://synopsis.fresco.org" target="_blank"><img src="../../../../synopsis.png" alt="logo"/> synopsis</a> (version devel)</div>
</body>
</html>
